<?php

	require("_init.php");
	require("_connect2.php");
	require("_funcdb.php");
	require("_funcstd.php");

	$tblname = "tblitem";

	$page = $_POST['page'];
	$rettotalpage = ( isset($_POST['rettotalpage']) ? true : false );
	$limit = 50;
	$importsemua = $_POST['importsemua'];
	$exportdatetime = VO2DateTime( $_POST['tglexport'], '00:00:00' );
	$kodecabang = $_POST['kodecab'];

	if ( !isset($_SESSION['processcode']) or $_SESSION['processcode'] != $_POST['processcode'] ) {
		die("Invalid process !");
	}

	if ( !isset($kodecabang) or $kodecabang <= 0 ) {
		die( "Error: Not a valid branch code !" );
	}

	if ( $importsemua ) {
		$perintahdb = "SELECT COUNT(*) AS Count FROM $tblname";
	} else {
		$perintahdb = "SELECT COUNT(*) AS Count FROM $tblname WHERE ( Export_DateTime >= '$exportdatetime' )";
	}

	$sqlquery = @DBQuery( $perintahdb );

	$row = DBFetchAssoc( $sqlquery );

	$count = $row['Count'];

	if( $count > 0 ) {
		$total_pages = ceil( $count / $limit );
	} else {
		$total_pages = 0;
	}

	if ( $page > $total_pages ) {
		$page = $total_pages;
	}

	$start = ( $limit * $page ) - $limit;

	if ( $start < 0 ) {
		$start = 0;
	}

	$responce = new StdClass;
	$responce->page = $page;
	$responce->total = $total_pages;
	$responce->records = $count;

	if ( $rettotalpage ) {
		$responce->statusok = true;
		die( json_encode($responce) );
	}

	if ( $importsemua ) {
		$perintahdb = "SELECT * FROM $tblname LIMIT $start, $limit";
	} else {
		$perintahdb = "SELECT * FROM $tblname WHERE ( Export_DateTime >= '$exportdatetime' ) LIMIT $start, $limit";
	}

	if ( $sqlquery = DBQuery( $perintahdb ) ) {
		$responce->statusok = true;
	}

	$i=0;

	while( $sqlrow = DBFetchAssoc( $sqlquery ) ) {

		$responce->rows[$i]['Kode'] = $sqlrow['Kode'];
		$responce->rows[$i]['Kode_C_2'] = $sqlrow['Kode_C_2'];
		$responce->rows[$i]['Kode_C_3'] = $sqlrow['Kode_C_3'];
		$responce->rows[$i]['Kode_C_4'] = $sqlrow['Kode_C_4'];
		$responce->rows[$i]['Kode_C_5'] = $sqlrow['Kode_C_5'];
		$responce->rows[$i]['Barcode'] = $sqlrow['Barcode'];
		$responce->rows[$i]['Hide'] = $sqlrow['Hide'];
		$responce->rows[$i]['Group_Stk'] = $sqlrow['Group_Stk'];
		$responce->rows[$i]['Group_St2'] = $sqlrow['Group_St2'];
		$responce->rows[$i]['Group_St3'] = $sqlrow['Group_St3'];
		$responce->rows[$i]['Jenis'] = $sqlrow['Jenis'];
		$responce->rows[$i]['Serial_ID'] = $sqlrow['Serial_ID'];
		$responce->rows[$i]['Serial_2'] = $sqlrow['Serial_2'];
		$responce->rows[$i]['Nama'] = $sqlrow['Nama'];
		$responce->rows[$i]['NamaEx1'] = $sqlrow['NamaEx1'];
		$responce->rows[$i]['NamaEx2'] = $sqlrow['NamaEx2'];
		$responce->rows[$i]['NamaEx3'] = $sqlrow['NamaEx3'];
		$responce->rows[$i]['Nama_2'] = $sqlrow['Nama_2'];
		$responce->rows[$i]['Ext_Info_1'] = $sqlrow['Ext_Info_1'];
		$responce->rows[$i]['Ext_Info_2'] = $sqlrow['Ext_Info_2'];
		$responce->rows[$i]['Ext_Info_3'] = $sqlrow['Ext_Info_3'];
		$responce->rows[$i]['Quan_Pict'] = $sqlrow['Quan_Pict'];
		$responce->rows[$i]['Expired'] = $sqlrow['Expired'];
		$responce->rows[$i]['Non_Pajak'] = $sqlrow['Non_Pajak'];
		$responce->rows[$i]['Tnp_Harga'] = $sqlrow['Tnp_Harga'];
		$responce->rows[$i]['Tnp_DisGlb'] = $sqlrow['Tnp_DisGlb'];
		$responce->rows[$i]['Tnp_Adj01'] = $sqlrow['Tnp_Adj01'];
		$responce->rows[$i]['Tnp_Adj02'] = $sqlrow['Tnp_Adj02'];
		$responce->rows[$i]['Tnp_Adj03'] = $sqlrow['Tnp_Adj03'];
		$responce->rows[$i]['Tnp_Adj04'] = $sqlrow['Tnp_Adj04'];
		$responce->rows[$i]['Tnp_Adj05'] = $sqlrow['Tnp_Adj05'];
		$responce->rows[$i]['Flx_Harga'] = $sqlrow['Flx_Harga'];
		$responce->rows[$i]['Blh_BwhHbl'] = $sqlrow['Blh_BwhHbl'];
		$responce->rows[$i]['Tnp_CtkBar'] = $sqlrow['Tnp_CtkBar'];
		$responce->rows[$i]['Not_Availa'] = $sqlrow['Not_Availa'];
		$responce->rows[$i]['Itm_PurcOr'] = $sqlrow['Itm_PurcOr'];
		$responce->rows[$i]['Itm_TrmStk'] = $sqlrow['Itm_TrmStk'];
		$responce->rows[$i]['Itm_Pembel'] = $sqlrow['Itm_Pembel'];
		$responce->rows[$i]['Itm_RetPem'] = $sqlrow['Itm_RetPem'];
		$responce->rows[$i]['Itm_Quotat'] = $sqlrow['Itm_Quotat'];
		$responce->rows[$i]['Itm_SalOrd'] = $sqlrow['Itm_SalOrd'];
		$responce->rows[$i]['Itm_KlrStk'] = $sqlrow['Itm_KlrStk'];
		$responce->rows[$i]['Itm_PenjEc'] = $sqlrow['Itm_PenjEc'];
		$responce->rows[$i]['Itm_Penjua'] = $sqlrow['Itm_Penjua'];
		$responce->rows[$i]['Itm_BonPen'] = $sqlrow['Itm_BonPen'];
		$responce->rows[$i]['Itm_RetPen'] = $sqlrow['Itm_RetPen'];
		$responce->rows[$i]['Itm_StkPin'] = $sqlrow['Itm_StkPin'];
		$responce->rows[$i]['Itm_StkTra'] = $sqlrow['Itm_StkTra'];
		$responce->rows[$i]['Itm_StkRep'] = $sqlrow['Itm_StkRep'];
		$responce->rows[$i]['Itm_StkMas'] = $sqlrow['Itm_StkMas'];
		$responce->rows[$i]['Itm_StkKlr'] = $sqlrow['Itm_StkKlr'];
		$responce->rows[$i]['Tipe_Satu'] = $sqlrow['Tipe_Satu'];
		$responce->rows[$i]['Satuan_01'] = $sqlrow['Satuan_01'];
		$responce->rows[$i]['Satuan_02'] = $sqlrow['Satuan_02'];
		$responce->rows[$i]['Satuan_03'] = $sqlrow['Satuan_03'];
		$responce->rows[$i]['Satuan_04'] = $sqlrow['Satuan_04'];
		$responce->rows[$i]['Satuan_05'] = $sqlrow['Satuan_05'];
		$responce->rows[$i]['Satuan_06'] = $sqlrow['Satuan_06'];
		$responce->rows[$i]['Satuan_07'] = $sqlrow['Satuan_07'];
		$responce->rows[$i]['Satuan_08'] = $sqlrow['Satuan_08'];
		$responce->rows[$i]['Satuan_09'] = $sqlrow['Satuan_09'];
		$responce->rows[$i]['Satuan_10'] = $sqlrow['Satuan_10'];
		$responce->rows[$i]['Sat_K_01'] = $sqlrow['Sat_K_01'];
		$responce->rows[$i]['Sat_K_02'] = $sqlrow['Sat_K_02'];
		$responce->rows[$i]['Sat_K_03'] = $sqlrow['Sat_K_03'];
		$responce->rows[$i]['Sat_K_04'] = $sqlrow['Sat_K_04'];
		$responce->rows[$i]['Sat_K_05'] = $sqlrow['Sat_K_05'];
		$responce->rows[$i]['Sat_K_06'] = $sqlrow['Sat_K_06'];
		$responce->rows[$i]['Sat_K_07'] = $sqlrow['Sat_K_07'];
		$responce->rows[$i]['Sat_K_08'] = $sqlrow['Sat_K_08'];
		$responce->rows[$i]['Sat_K_09'] = $sqlrow['Sat_K_09'];
		$responce->rows[$i]['Sat_K_10'] = $sqlrow['Sat_K_10'];
		$responce->rows[$i]['Sat_Def'] = $sqlrow['Sat_Def'];
		$responce->rows[$i]['Sat_Ecr'] = $sqlrow['Sat_Ecr'];
		$responce->rows[$i]['Sat_Out'] = $sqlrow['Sat_Out'];
		$responce->rows[$i]['Sat_Out_2'] = $sqlrow['Sat_Out_2'];
		$responce->rows[$i]['Sat_Out_D'] = $sqlrow['Sat_Out_D'];
		$responce->rows[$i]['Sat_Beli'] = $sqlrow['Sat_Beli'];
		$responce->rows[$i]['Sat_Min'] = $sqlrow['Sat_Min'];
		$responce->rows[$i]['Sat_J_01'] = $sqlrow['Sat_J_01'];
		$responce->rows[$i]['Sat_J_02'] = $sqlrow['Sat_J_02'];
		$responce->rows[$i]['Sat_J_03'] = $sqlrow['Sat_J_03'];
		$responce->rows[$i]['Sat_J_04'] = $sqlrow['Sat_J_04'];
		$responce->rows[$i]['Sat_J_05'] = $sqlrow['Sat_J_05'];
		$responce->rows[$i]['Jml_Beli'] = $sqlrow['Jml_Beli'];
		$responce->rows[$i]['Jml_Min'] = $sqlrow['Jml_Min'];
		$responce->rows[$i]['Jml_J_01'] = $sqlrow['Jml_J_01'];
		$responce->rows[$i]['Jml_J_02'] = $sqlrow['Jml_J_02'];
		$responce->rows[$i]['Jml_J_03'] = $sqlrow['Jml_J_03'];
		$responce->rows[$i]['Jml_J_04'] = $sqlrow['Jml_J_04'];
		$responce->rows[$i]['Jml_J_05'] = $sqlrow['Jml_J_05'];
		$responce->rows[$i]['Kurs_Jual'] = $sqlrow['Kurs_Jual'];
		$responce->rows[$i]['MU_H_Beli'] = $sqlrow['MU_H_Beli'];
		$responce->rows[$i]['MU_H_Min'] = $sqlrow['MU_H_Min'];
		$responce->rows[$i]['MU_H_J_01'] = $sqlrow['MU_H_J_01'];
		$responce->rows[$i]['MU_H_J_02'] = $sqlrow['MU_H_J_02'];
		$responce->rows[$i]['MU_H_J_03'] = $sqlrow['MU_H_J_03'];
		$responce->rows[$i]['MU_H_J_04'] = $sqlrow['MU_H_J_04'];
		$responce->rows[$i]['MU_H_J_05'] = $sqlrow['MU_H_J_05'];
		$responce->rows[$i]['Harga_Beli'] = $sqlrow['Harga_Beli'];
		$responce->rows[$i]['Harga_Min'] = $sqlrow['Harga_Min'];
		$responce->rows[$i]['Harga_J_01'] = $sqlrow['Harga_J_01'];
		$responce->rows[$i]['Harga_J_02'] = $sqlrow['Harga_J_02'];
		$responce->rows[$i]['Harga_J_03'] = $sqlrow['Harga_J_03'];
		$responce->rows[$i]['Harga_J_04'] = $sqlrow['Harga_J_04'];
		$responce->rows[$i]['Harga_J_05'] = $sqlrow['Harga_J_05'];
		$responce->rows[$i]['HgEx1_Beli'] = $sqlrow['HgEx1_Beli'];
		$responce->rows[$i]['HgEx1_Min'] = $sqlrow['HgEx1_Min'];
		$responce->rows[$i]['HgEx1_J_01'] = $sqlrow['HgEx1_J_01'];
		$responce->rows[$i]['HgEx1_J_02'] = $sqlrow['HgEx1_J_02'];
		$responce->rows[$i]['HgEx1_J_03'] = $sqlrow['HgEx1_J_03'];
		$responce->rows[$i]['HgEx1_J_04'] = $sqlrow['HgEx1_J_04'];
		$responce->rows[$i]['HgEx1_J_05'] = $sqlrow['HgEx1_J_05'];
		$responce->rows[$i]['HgEx2_Beli'] = $sqlrow['HgEx2_Beli'];
		$responce->rows[$i]['HgEx2_Min'] = $sqlrow['HgEx2_Min'];
		$responce->rows[$i]['HgEx2_J_01'] = $sqlrow['HgEx2_J_01'];
		$responce->rows[$i]['HgEx2_J_02'] = $sqlrow['HgEx2_J_02'];
		$responce->rows[$i]['HgEx2_J_03'] = $sqlrow['HgEx2_J_03'];
		$responce->rows[$i]['HgEx2_J_04'] = $sqlrow['HgEx2_J_04'];
		$responce->rows[$i]['HgEx2_J_05'] = $sqlrow['HgEx2_J_05'];
		$responce->rows[$i]['Har_J_01_P'] = $sqlrow['Har_J_01_P'];
		$responce->rows[$i]['Har_J_02_P'] = $sqlrow['Har_J_02_P'];
		$responce->rows[$i]['Har_J_03_P'] = $sqlrow['Har_J_03_P'];
		$responce->rows[$i]['Har_J_04_P'] = $sqlrow['Har_J_04_P'];
		$responce->rows[$i]['Har_J_05_P'] = $sqlrow['Har_J_05_P'];
		$responce->rows[$i]['Har_Min_P'] = $sqlrow['Har_Min_P'];
		$responce->rows[$i]['Disc_Bl_P'] = $sqlrow['Disc_Bl_P'];
		$responce->rows[$i]['Disc_Bl_P2'] = $sqlrow['Disc_Bl_P2'];
		$responce->rows[$i]['Disc_Bl_P3'] = $sqlrow['Disc_Bl_P3'];
		$responce->rows[$i]['Disc1_J_01'] = $sqlrow['Disc1_J_01'];
		$responce->rows[$i]['Disc2_J_01'] = $sqlrow['Disc2_J_01'];
		$responce->rows[$i]['Disc3_J_01'] = $sqlrow['Disc3_J_01'];
		$responce->rows[$i]['Disc1_J_02'] = $sqlrow['Disc1_J_02'];
		$responce->rows[$i]['Disc2_J_02'] = $sqlrow['Disc2_J_02'];
		$responce->rows[$i]['Disc3_J_02'] = $sqlrow['Disc3_J_02'];
		$responce->rows[$i]['Disc1_J_03'] = $sqlrow['Disc1_J_03'];
		$responce->rows[$i]['Disc2_J_03'] = $sqlrow['Disc2_J_03'];
		$responce->rows[$i]['Disc3_J_03'] = $sqlrow['Disc3_J_03'];
		$responce->rows[$i]['Disc1_J_04'] = $sqlrow['Disc1_J_04'];
		$responce->rows[$i]['Disc2_J_04'] = $sqlrow['Disc2_J_04'];
		$responce->rows[$i]['Disc3_J_04'] = $sqlrow['Disc3_J_04'];
		$responce->rows[$i]['Disc1_J_05'] = $sqlrow['Disc1_J_05'];
		$responce->rows[$i]['Disc2_J_05'] = $sqlrow['Disc2_J_05'];
		$responce->rows[$i]['Disc3_J_05'] = $sqlrow['Disc3_J_05'];
		$responce->rows[$i]['Min_Stock'] = $sqlrow['Min_Stock'];
		$responce->rows[$i]['Min_Stk_St'] = $sqlrow['Min_Stk_St'];
		$responce->rows[$i]['Max_Stock'] = $sqlrow['Max_Stock'];
		$responce->rows[$i]['Max_Stk_St'] = $sqlrow['Max_Stk_St'];
		$responce->rows[$i]['Min_Jual'] = $sqlrow['Min_Jual'];
		$responce->rows[$i]['Min_Jl_St'] = $sqlrow['Min_Jl_St'];
		$responce->rows[$i]['Max_Jual'] = $sqlrow['Max_Jual'];
		$responce->rows[$i]['Max_Jl_St'] = $sqlrow['Max_Jl_St'];
		$responce->rows[$i]['Catatan'] = $sqlrow['Catatan'];
		$responce->rows[$i]['Export_Oleh'] = $sqlrow['Export_Oleh'];
		$responce->rows[$i]['Export_DateTime'] = $sqlrow['Export_DateTime'];
		$responce->rows[$i]['Input_Oleh'] = $sqlrow['Input_Oleh'];
		$responce->rows[$i]['Input_DateTime'] = $sqlrow['Export_DateTime'];
		$responce->rows[$i]['Ubah_Oleh'] = $sqlrow['Ubah_Oleh'];
		$responce->rows[$i]['Ubah_DateTime'] = $sqlrow['Export_DateTime'];
		$responce->rows[$i]['Imp_Tgl'] = date('Ymd');
		$responce->rows[$i]['Imp_Jam'] = date('H:i:s');

		$i++;

	}

	@DBQueryFree($sqlquery);

	echo json_encode($responce);

?>